import React from 'react';
import { RankedTester, StatePropsOfCombinator } from '@jsonforms/core';
declare class MaterialAllOfRenderer extends React.Component<StatePropsOfCombinator, any> {
    render(): JSX.Element;
}
declare const ConnectedMaterialAllOfRenderer: import("react-redux").ConnectedComponentClass<typeof MaterialAllOfRenderer, Pick<StatePropsOfCombinator, never> & import("../../../core/lib").OwnPropsOfControl>;
export declare const materialAllOfControlTester: RankedTester;
export default ConnectedMaterialAllOfRenderer;
